# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::MetaInfoJob Class Reference

MetaInfoJob is a KIO Job to retrieve meta information from files. KIO Job to retrieve meta information from files.

Since:
  3.1.

More...

`#include <metainfojob.h>`

Inheritance diagram for KIO::MetaInfoJob:

[legend]
Collaboration diagram for KIO::MetaInfoJob:

[legend]
List of all members.

## Signals

void | gotMetaInfo (const KFileItem *item)
void | failed (const KFileItem *item)

## Public Member Functions

| MetaInfoJob (const KFileItemList &items, bool deleteItems=false)
void | removeItem (const KFileItem *item)

## Static Public Member Functions

static QStringList | availablePlugins ()
static QStringList | supportedMimeTypes ()

## Protected Slots

virtual void | slotResult (KIO::Job *job)

## Protected Member Functions

void | getMetaInfo ()

## Detailed Description

MetaInfoJob is a KIO Job to retrieve meta information from files. KIO Job to retrieve meta information from files.

Since:
  3.1.

Definition at line 35 of file metainfojob.h.

## Constructor & Destructor Documentation

MetaInfoJob::MetaInfoJob | ( | const KFileItemList & | items,
|  | bool | deleteItems = `false`
| ) |

Creates a new MetaInfoJob.

Parameters:

  | items | A list of KFileItems to get the metainfo for
  | deleteItems | If true, the finished KFileItems are deleted

Definition at line 44 of file metainfojob.cpp.

References KIO::Job::emitResult(), kdDebug(), and QTimer::singleShot().

## Member Function Documentation

void MetaInfoJob::removeItem | ( | const KFileItem * | item | ) |

Removes an item from metainfo extraction.

Parameters:

  | item | the item that should be removed from the queue

Definition at line 80 of file metainfojob.cpp.

References QPtrList::first(), QPtrList::remove(), and QPtrList::removeFirst().

QStringList MetaInfoJob::availablePlugins | ( |  | ) | `[static]`

Returns a list of all available metainfo plugins.

The list contains the basenames of the plugins' .desktop files (no path, no .desktop).

Returns:
  the list of available meta info plugins

Definition at line 154 of file metainfojob.cpp.

References QValueList::begin(), QValueList::end(), KTrader::query(), and KTrader::self().

QStringList MetaInfoJob::supportedMimeTypes | ( |  | ) | `[static]`

Returns a list of all supported MIME types.

The list can contain entries like text/ * (without the space).

Returns:
  the list of MIME types that are supported

Definition at line 163 of file metainfojob.cpp.

References QValueList::begin(), QValueList::end(), KTrader::query(), and KTrader::self().

void KIO::MetaInfoJob::gotMetaInfo | ( | const KFileItem * | item | ) | `[signal]`

Emitted when the meta info for `item` has been successfully retrieved.

Parameters:

  | item | the KFileItem describing the fetched item

void KIO::MetaInfoJob::failed | ( | const KFileItem * | item | ) | `[signal]`

Emitted when metainfo for `item` could not be extracted, either because a plugin for its MIME type does not exist, or because something went wrong.

Parameters:

  | item | the KFileItem of the file that failed

void MetaInfoJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

Called whenever a subjob finishes.

Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated.

Parameters:

  | job | the subjob

See also:
  result()

Reimplemented from KIO::Job.

Definition at line 116 of file metainfojob.cpp.

References QPtrList::isEmpty(), and QPtrList::remove().

The documentation for this class was generated from the following files:

- metainfojob.h
- metainfojob.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:22 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003